
QGIS Application - Bug report #21172

GetFeatureInfo not send Geometry when set into project

2019-02-05 11:41 AM - Walter Lorenzetti

Status: Rejected

Priority: Normal

Assignee: Alessandro Pasotti

Category: QGIS Server

Affected QGIS version:3.4.4 Regression?: No

Operating System: Ubutnu 16.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 28990

Description

After set 'Add geometry to feature response' into project settings, the GetFeatureInfo request doesn't send feature geometry data.

History

#1 - 2019-02-05 05:18 PM - Alessandro Pasotti

Can you please attach a sample project and data to reproduce the issue?

#2 - 2019-02-06 09:31 AM - Walter Lorenzetti

- File bug_qgis3_no_geom_info.zip added

A simple project with only one layer.

#3 - 2019-02-08 08:46 AM - Alessandro Pasotti

- Resolution set to worksforme

- Status changed from Open to Rejected

See "WITH_GEOMETRY" Add geometry to the output

https://docs.qgis.org/testing/en/docs/user_manual/working_with_ogc/server/services.html#web-map-service-wms

Files

bug_qgis3_no_geom_info.zip 2.74 MB 2019-02-06 Walter Lorenzetti
